Subject: Compiling (nut-nutrition) software to add to a Debian system

From: [email-masked]
Date: Sat, 3 Sep 2016 19:06:57 -0400

Disclaimer / Admission of Guilt: I'm one of the persons who advocates 
following the policies of the organization whose software I'm using, but, I 
think I'm about to violate the policy.

Although Jessie has a nut-nutrition package (and I've installed it), it is 
basically a command line version.  Later versions include a GUI based on fltk 
(1.1.10).

So, I plan to compile it to try it out (the cli version is too cumbersome for 
me, compared to other nutrition packages (including CRON-O-meter which is 
packaged for Jessie, and will probably be my 2nd choice if I either can't 
compile nut-nutrition or if the fltk GUI isn't on a par with things like CRON-
O-meter.

Questions:

   * I seem to remember that there is a way of (before, during, or after) 
compiling a software package letting the package manager(s) know for whatever 
good that does--well, I guess one good would be not allowing dependencies to 
be removed as long as the nut-nutrition package remains installed).  Can 
anybody discuss or point me to appropriate instructions to update the package 
managers after installing a compiled package (or suggest some good keywords 
for a google search)?

   * Has anybody on this list used nut-nutrition with the (fltk based) GUI, 
and, if so, is it on a par with things like the CRON-O-meter GUI?

   * And, if you've used nut-nutrition in either the CLI or GUI based version, 
have you come across a useful mailing list to discuss nut-nutrition and / or 
other similar packages?

   * For extra credit: the compiled nut-nutrition GUI version requires fltk 
version 1.1.10.  That version is available in Jessie, but so is version 
1.3.2--I guess determining whether nut-nutrition works with the 1.3.2 version 
is a trial and error type thing (unless someone knows that fltk 1.3.2 is fully 
backward compatible with 1.1.10 or that nut-nutrition has already been tested 
by someone against fltk 1.3.2.  Anyone have any clues?

Thanks!
Randy Kramer

PS: As to why I'd like to use the nut-nutrition GUI version instead of CRON-O-
meter is that nut-nutrition uses version sr27 of the USDA nutrition database, 
while CRON-O-meter uses sr23, which is probably about 8 years older.  (IIUC, 
the current version of the  USDA nutrition database is sr28.)